Description

I'm an Audacious user for years, in Linux. But I like to promote Audacious to my Windows friends. However, they usually doesn't

know nothing about executables, archives and so on. They want to install, click "Next" and that's all.

Nowadays, Windows version is a zipped archive, so user must to extract, change audio files (Mp3, flac, Wav...) default application,

etc. So "No other installation steps are required" is not true, if the user want the typical "Install and play".

So, no installation package for Windows users is a big obstacle if I try Windows users to let Audacious an oportunitty.

Please, could you do a typical installer for Windows users?

Thank you

History

#1 - January 08, 2016 14:34 - John Lindgren

- Status changed from New to Rejected

Duplicate of #342.

#2 - January 09, 2016 21:03 - Rafael Linux User

Hi John

I read #342 but, sincerely, that's not a duplicate of this thread. I can't believe there is no a better solution to make Windows users enjoy with

Audacious. That solution is a "do it yourself", not a real solution for them. I would prefer to make a autoextract zip file from my unzipped Audacious

folder, but the mime types registration problem will remain.

While there is no a available a real installer, any Windows user will prefer to install WinAmp (now that is maintaned again) and Audacious will lost a

good opportunity to show it has nothing to envy to WinAmp. That's my opinion.

Meanwhile, I'm afraid that I must recommend Clementine as a common player for Linux/Windows users.

Best regards and thank you anyway for listening me.

#3 - January 20, 2016 22:18 - Jim Turner

Have you looked at the (FREE!) Inno Setup Wizard?  http://www.jrsoftware.org/isinfo.php

I used this many years ago to make some Perl binaries I created w/PAR::Packer bundleable and insallable on Windows.  I'm fixing to use it again to

bundle my latest programs/versions.  I'm pretty sure you (or I) could take the latest Windows release of Audacious and bundle it.

Regards
Jim

#4 - January 22, 2016 02:28 - Rafael Linux User

Thank you for your ideas. Those ideas let any user to create an installer for Windows. However, will Audacious put that file in their site to let Windows

users download it? Cause, ok, I can make that installer but, must I put it in my website for dowload? I always recommend Windows users to download

apps from official websites and that's the best way for the users to find what they are looking for. And users must download their Windows apps from

trusted sites. So, what's the sense of making my own installer of Audacious?

This is crazy IMHO.

#5 - January 22, 2016 03:20 - John Lindgren

If you can come up with a way to automate the Windows builds and produce an installer, I would be happy to run that instead of generating the builds

manually with each release.  Otherwise I don't have the time.

#6 - January 22, 2016 16:30 - Rafael Linux User

John, really nowadays I'm far from Windows o.s. since I work mostly with servers, databases and web related programming, so I can not help about

making build for Windows. You (or someone in Audacious team) are doing a good job on creating the Windows builds and here, in this thread, Jim

Turner (thank you Jim) suggested a way to take your Windows build and create and installer (and possibly, to assign Audacious to audio files). So, if

you don't have the time to try to make the installer, I would like to try, as long as you notify me about your new Audacious for Windows builds.

Then, I could send you that version to put for download in Audacious site, as an alternative to the "portable" version.

What do you think about it?

#7 - January 22, 2016 21:42 - John Lindgren

Sorry, I'm not interested in hosting 3rd-party .exe files on the Audacious website.  If you want to help, then start with the work Carlo Bramini did (see 

#342) and automate it.  It shouldn't be too hard to come up with a batch file that will generate an installer from the .zip release.
